The ideal starter kit / app script with all the needed UI elements alongwith MobX and NativeBase to build your iOS and Android e-commerce app like Mona / JackThreads / Canopy / Flipp

React Native E-Commerce Pro Theme

All the screens you want!

Fully customizable, ready-to-use screens for users with easily configurable application design, and the right UX for a Shopping App like Spring / Stylect / Mallzee / Jabong.

  • ● Facebook Login
  • ● Email Login
  • ● Sign Up
  • ● Post Item
  • ● Product Grid View Catalog
  • ● Home page
  • ● Product Page
  • ● Just In
  • ● Shopping Cart
  • ● Notifications
  • ● Confirm Order
  • ● Payment
  • ● Categories
  • ● Add Address

React Native E-Commerce Pro Theme

NOTE

This starter kit is only a UI theme and it doesn't include any back-end code, neither it is wired up with any API calls.

React Native E-Commerce Pro Theme

Fab Features

  • Icons, components to facilitate features like login, post, add address and more
  • Power-packed with MobX, NativeBase, React Native Router Flux
  • Single JavaScript code base for iOS & Android
  • Mass of theme specific UI elements, components
  • Fascinated blend of React Native and ES6

Built On Reazy

Reazy is a pluggable services-based framework for React & React Native with a powerful CLI and installable plugins

React Native E-Commerce Pro Theme

Perfectly native look and feel

Eye soothing UI with awesomely smooth UX!

React Native E-Commerce Pro Theme

Not your kind of E-Commerce App?

We have another one. Check out React Native E-Commerce Starter.

Package

React Native E-Commerce Pro Theme

  • expo: ^15.1.0
  • ● react: ~15.4.0
  • react-native: 0.42.3
  • ● mobx: ^3.0.0
  • ● mobx-react: ^4.1.0
  • native-base: ^2.1.0-rc.2
  • ● react-native-parallax-scroll-view: ^0.19.0
  • ● react-native-router-flux: ^3.37.0
  • ● react-native-swiper: ^1.5.4
  • ● react-native-tab-view: 0.0.52
  • ● reazy: 0.0.3
  • ● reazy-native-router-actions: 0.0.2
  • ● simple-line-icons: ^2.4.1
  • ● @expo/vector-icons: ~4.0.0
  • ● react-native-scripts: 0.0.26
  • ● jest-expo: ^0.3.0
  • ● react-test-renderer: ~15.4.1
  • ● babel-jest: ^18.0.0
  • ● babel-plugin-transform-decorators-legacy: ^1.3.4
  • ● babel-preset-react-native: ^1.9.1
  • ● babel-preset-react-native-stage-0: ^1.0.1
  • ● jest: ^18.0.0

BROUGHT TO YOU BY

Start building your app today!

Get Started